##  menu.tcl
##
##		This file implements code for
##		menus
##
##  Copyright (c) 1998 <Irrational Numbers> : <buraldo@maganet.net> 
##
##  This program is free software; you can redistibute it and/or modify
##  it under the terms of the GNU General Public License as published by
##  the Free Software Foundation.
##
##  See the file "license" for information on usage and
##  redistribution of this program, and for a disclaimer of all warranties.
##
##  VER 1.1


namespace eval MENU {

proc about {} {
	tk_messageBox -title "About" -icon question -message \
"
         HMSC Editor

Copyright (c) <Irrational Numbers>

   e-mail to : <buraldo@maganet.net>
"
}

proc help {} {
        tk_messageBox -title "Help" -icon info -message \
"
 Come on! it's easy !

 Click button-3 on the sheet for creating new nodes..
 Click button-3 on nodes for acting on nodes ..
 Click button-3 on arcs  for acting on arcs ..
 Click and drag button-1 on nodes for moving ..
 Click and drag button-1 on the sheet for selecting nodes ..
 Click and drag button-1 on the small circle for resizing nodes ..

 Click button-3 on text for changing it ..
"
}

proc showPreferences {} {
        if { ! [catch {toplevel .pref}] } {
		pref_ui .pref
	}
}

proc init { w cvs } {
	if { $w == "." } { set w "" }
	if { $w != "" } { set toproot $w } else { set toproot . }

	menu $w.menubar -tearoff 0

	set m $w.menubar.file
	 $w.menubar  add cascade -label "File" -underline 0 -menu $m
	 menu $m -tearoff 0
	 $m add command -label "New."    -underline 0 \
			-command "FILE::newDiagram $w.$cvs" 
	 $m add command -label "Open..." -underline 0 \
			-command "FILE::openDiagram $w.$cvs" 
	 $m add command -label "Save..." -underline 0 \
			-command "FILE::saveDiagram $w.$cvs" 
	 $m add separator
	 $m add command -label "Generate Z.120..." \
			-command "FILE::saveZ120 $w.$cvs" 
	 $m add separator
	 $m add command -label "PostScript Print..." \
			-command "FILE::printToFile $w.$cvs" 
	 $m add separator
	 $m add command -label "Exit" -underline 1 \
                        -command "FILE::exiting $w.$cvs" 

	set m $w.menubar.tools
	 $w.menubar  add cascade -label "Tools" -underline 0 -menu $m
	 menu $m -tearoff 0
	 $m add command -label "check graph" -command "CVS::checkDiagram $w.$cvs" 
	 $m add command -label "Preferences ..." -command "MENU::showPreferences" 

	set m $w.menubar.help
	 $w.menubar  add cascade -label "Help" -underline 0 -menu $m
	 menu $m -tearoff 0
	 $m add command -label "Help..." -command "MENU::help" 
	 $m add command -label "About"   -command "MENU::about" 

	$toproot configure -menu $w.menubar

        wm protocol . WM_DELETE_WINDOW  "FILE::exiting $w.$cvs"
}

} ; ## = end of namespace =====================================================
